Name: latex2html
Version: 2002
Release: alt3

%define compactversion 2002-1
%define srcname %name-%compactversion

# use "gif" or "png"
%define graphic_format	png
%define ownlibdir %_libdir/%name

Summary: LaTeX to HTML converter
License: GPL
Group: Publishing
Url: http://saftsack.fs.uni-bayreuth.de/~latex2ht
BuildArch: noarch

Source: %url/current/%srcname.tar.bz2
Patch0:		%{name}-%{version}-gsfonts.patch
Patch1: %name-utf8.patch
Patch2: %name-koi8r.patch
Patch3:		%{name}-%{compactversion}-path.patch

PreReq: tetex-latex, tetex-dvips, ghostscript >= 5.50, giftrans

#set_perl_req_method relaxed 
%define _perl_lib_path %perl_vendor_privlib:%ownlibdir


# Automatically added by buildreq on Mon Oct 08 2001
BuildRequires: freetype ghostscript libdb2 libnetpbm netpbm tetex tetex-dvips tetex-latex urw-fonts XFree86-libs

%description
Elaborate perl program to convert latex documents to html, using LaTeX
to process images and equations.

%prep
%setup -q -n %srcname
%patch0 -p1
#patch1 -p1
%patch2 -p1
%patch3 -p1


%build
TMP=/tmp ./configure --with-gs=%_bindir/gs \
  --with-texpath=%_datadir/texmf/tex/ \
  --without-mktexlsr \
  --with-perl=%_bindir/perl \
  --prefix=%_prefix \
  --shlibdir=%ownlibdir

%make_build

%install
# custom "make install" so paths are proper in the perl programs

mkdir -p $RPM_BUILD_ROOT%_bindir
install -p -m755 %name $RPM_BUILD_ROOT%_bindir
install -p -m755 pstoimg $RPM_BUILD_ROOT%_bindir
install -p -m755 texexpand $RPM_BUILD_ROOT%_bindir

mkdir -p $RPM_BUILD_ROOT%ownlibdir
cp -avRf \
	IndicTeX-HTML L2hos.pm L2hos XyMTeX-HTML cweb2html docs example foilhtml icons makeseg styles texinputs versions \
	cfgcache.pm dot.latex2html-init l2hconf.pm makemap readme.hthtml \
	$RPM_BUILD_ROOT%ownlibdir/

cp -avRf L2hos/Win32.pm $RPM_BUILD_ROOT%ownlibdir/

mkdir -p $RPM_BUILD_ROOT%_datadir/texmf/tex/latex/html
cp -avRf texinputs/* $RPM_BUILD_ROOT%_datadir/texmf/tex/latex/html

#mkdir -p $RPM_BUILD_ROOT%_defaultdocdir/%name-%version
#cp -avRf Changes FAQ MANIFEST README readme.hthtml TODO BUGS INSTALL dot.latex2html-init example $RPM_BUILD_ROOT%_defaultdocdir/%name-%version

# fix perl path in a few places:
perl -pi -e 's|/usr/local/bin/perl|/usr/bin/perl|g' \
	$RPM_BUILD_ROOT%_libdir/%name/cweb2html/cweb2html \
	$RPM_BUILD_ROOT%_libdir/%name/makeseg/makeseg \
	$RPM_BUILD_ROOT%ownlibdir/makemap

pushd docs
	TEXINPUTS=:.:../texinputs latex manual
	TEXINPUTS=:.:../texinputs latex manual
	make
	bzip2 -9 manual.ps
popd

%post -p %_bindir/mktexlsr
%postun -p %_bindir/mktexlsr

%files
%_bindir/*
%_libdir/%name
%_datadir/texmf/tex/latex/html/
%doc Changes FAQ MANIFEST README readme.hthtml TODO BUGS INSTALL dot.latex2html-init example docs/manual.ps.bz2

%changelog
* Wed Nov 27 2002 AEN <aen@altlinux.ru> 2002-alt3
- rebuilt with tetex-2.0

* Mon Nov 25 2002 AEN <aen@altlinux.ru> 2002-alt2
- --shlibdir added to %%configure (bug #1527)

* Mon Oct 28 2002 AEN <aen@altlinux.ru> 2002-alt1
- new version

* Mon Oct 08 2001 Dmitry V. Levin <ldv@altlinux.ru> 2000.1beta-alt2
- Updated beta tarball from ftp site.
- Added russian style patch (from Georgy Salnikov <sge@nmr.nioch.nsc.ru>).

* Thu Jun 21 2001 AEN <aen@logic.ru> 2000.1beta-alt1
- build for Sisyphus

* Tue Jun  5 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 2000.1beta-2mdk
- fix pstoimg tmp variable issue

* Tue May 15 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 2000.1beta-1mdk
- update to 2K.1beta

* Mon Jan 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 99.2beta8-4mdk
- include manual.ps following suggestion by David Aspinall <da@dcs.ed.ac.uk>

* Tue Nov  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 99.2beta8-3mdk
- fix specfile

* Fri Aug 25 2000 Geoffrey Lee <snailtalk@mandrakesof.com> 99.2beta8-2mdk
- readd /usr/bin/pstoimg ...oops ... (Erik Devriendt)
- fix license. There is no such thing as a GNU license.!

* Wed Aug 02 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 99.2beta8-1mdk
- new version to fix some nasty bugz (Meinhard E. Mayer)

* Sun Jul 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 99.2beta6-4mdk
- rebuild with cleanup

* Mon Mar 20 2000 Camille Begnis <camille@mandrakesoft.com> 99.2beta6-3mdk
- Fixed group

* Sat Mar 18 2000 Camille Begnis <camille@mandrakesoft.com> 99.2beta6-2mdk
- minor spec update

* Thu Feb 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used - once again - a great srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Tue Feb 8 2000 Vincent Danen <vdanen@linux-mandrake.com>
- added fixes for some perl scripts that point to /usr/local/bin/perl

* Sun Feb 6 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
- removed make install and replaced with custom installer to ensure correct
  paths in the latex2html perl programs
